@import "../../../../../global.scss";

.headerBox {
  display: flex;
  justify-content: flex-start;
  margin-bottom: 40px !important;
}

.headerContent {
  flex-basis: 66% !important;
  display: flex;
  justify-content: flex-start;
  flex-direction: row;
  overflow-x: auto;
  @include smobile {
    flex-basis: 100% !important;
    justify-content: space-between;
  }
}

.buttonGN {
  position: relative;
  /* top: 1px; */
  top: 0;
  @include smobile {
    // flex-basis: 50% !important;
  }
}

.headerEmpty {
  flex-basis: 33% !important;
  @include smobile {
    flex-basis: 0% !important;
  }
}

.insightsSection {
  background: $White !important;
  margin: 1px 0;
  padding: 2em 3em;
  @include smobile {
    padding: 2em 0.5em;
  }
}

.insightTitle {
  font-size: 2em;
  font-weight: 700;
  line-height: 1;
  color: $Blue;
  min-width: max-content;
  // @include ipadpro{
  //   font-size: 1.5em;
  // }
  // @include mmobile{
  //   font-size: 1.2em;
  // }
  // @include smobile{
  //   // flex-basis: 50% !important;
  // }
}

.header {
  display: flex;
  flex-direction: row !important;
}

.buttonBox {
  position: relative;
  top: 85px;
}

.dropButtonBox {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
  // /overflow: auto;
}

// .dropButtonBox ::-webkit-scrollbar-track {
//   border: .5px solid $White;
//   padding: 2px 0;
//   background-color: $White;
//   color:$White;
// }

div * ::-webkit-scrollbar {
  // width: 0px !important;
  margin-right: 2px !important;
}

div * ::-webkit-scrollbar-track {
  background: transparent !important;
  padding-right: 3px !important;
}

// div * ::-webkit-scrollbar-thumb {
//   background: $White !important;
//   border-radius: 40px !important;
// }

.dropButton {
  display: flex;
  flex-direction: row;
  // justify-content: space-between;
  /* width: 66.66%; */
  width: auto;
  justify-content: flex-start;
  flex-basis: 66%;
}

.dropButtonRow {
  // display: flex;
  // flex-direction: column;
  // justify-content: space-between;
  display: block;
  width: 100%;
}

.subHeading {
  font-size: 1rem;
  font-weight: 500;
}

.searchBox {
  color: #c3d422;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  // align-items: flex-end;
  min-width: 33%;
  align-items: baseline;
  position: relative;
  top: 34px;
  .limeSearch {
    width: 30px;
    height: 30px;
    cursor: pointer;
    position: relative;
    left: -48px;
  }
  .inputContainer {
    width: 100%;
    // position: relative;
    .inputBox {
      width: 100%;
      background-color: #f1f5cb;
      color: $Lime;
      padding: 5px;
      border-radius: 4px;
      padding-left: 10px;
    }
  }
}

.searchBox ::placeholder {
  font-size: 0.9rem;
  color: $Lime;
  padding-left: 10px;
}

.searchBox input:focus,
.searchBox input:visited,
.searchBox input:hover,
.searchBox input {
  border-width: 0 !important;
  outline: 0 !important;
}

.paginationBox {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 72px !important;
  margin-bottom: 30px !important;
  overflow-x: auto;
  position: relative;
}

.reportStatus {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  width: 50%;
  @include smobile {
    width: unset;
  }
}

.content {
  background-color: $Lime;
  /* width: 20%; */
  cursor: pointer;
  color: $DarkBlue;
  border-radius: 5px;
  padding: 5px 25px;
  height: 2em;
  min-width: max-content;
  @include mmobile {
    font-size: 0.8em;
  }
}

.content:visited,
.content:focus,
.content:hover {
  // background-color: $White;
  color: $White;
}

.paginationContent {
  display: flex;
  justify-content: flex-end;
  color: $DarkBlue;
  min-width: max-content;
  @include mmobile {
    font-size: 0.8em;
  }
}

.caret {
  cursor: pointer;
}

.tableBox {
  display: flex;
  flex-direction: column;
  overflow-x: auto;
}

.tableValueContainer {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-width: 100%;
}

// .dropDownButtonBox{
//   position: relative;
//}

// .dropDownLocation{
//   position: relative;
//   z-index: 2;
//   top: -145px;
// }
